| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
Gaudi::Accumulators::details::MsgCounter::Logger Struct Reference

`#include <GaudiKernel/Counters.h>`

Inheritance diagram for Gaudi::Accumulators::details::MsgCounter::Logger:
[legend]
Collaboration diagram for Gaudi::Accumulators::details::MsgCounter::Logger:
[legend]

## Public Member Functions
void | operator() (bool suppress=false) const

## Public Attributes
CommonMessagingBase const * | parent
std::string | msg
MSG::Level | lvl

## Detailed Description

Definition at line 798 of file Counters.h.

## Member Function Documentation

## ◆ operator()()

void Gaudi::Accumulators::details::MsgCounter::Logger::operator() | ( | bool | suppress = `false` | ) | const
| inline

Definition at line 803 of file Counters.h.

803 {
804 if ( suppress ) {
805 parent->msgStream( lvl ) << "Suppressing message: " << std::quoted( msg, '\'' ) << endmsg;
806 } else {
807 parent->msgStream( lvl ) << msg << endmsg;
808 }
809 }
Gaudi::Accumulators::details::MsgCounter::Logger::lvl
MSG::Level lvl
Definition: Counters.h:801
Gaudi::Accumulators::details::MsgCounter::Logger::msg
std::string msg
Definition: Counters.h:800
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:71
Gaudi::Accumulators::details::MsgCounter::Logger::parent
CommonMessagingBase const * parent
Definition: Counters.h:799
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## Member Data Documentation

## ◆ lvl

MSG::Level Gaudi::Accumulators::details::MsgCounter::Logger::lvl

Definition at line 801 of file Counters.h.

## ◆ msg

std::string Gaudi::Accumulators::details::MsgCounter::Logger::msg

Definition at line 800 of file Counters.h.

## ◆ parent

CommonMessagingBase const* Gaudi::Accumulators::details::MsgCounter::Logger::parent

Definition at line 799 of file Counters.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/Counters.h